"""Test the pipeline with the ccl configuration."""

from hydra import compose, initialize
from hydra.utils import instantiate


def test_ccl_configuration():
    """Test the pipeline with the ccl configuration."""
    with initialize(config_path="../../../config", version_base="1.1"):
        config = compose(
            config_name="config",
            overrides=["paths.root_path=../../../", "configuration=ccl"],
        )
        pipeline = instantiate(config.pipeline)

    result = pipeline.run(
        "./tests/integration/ccl_configuration/marek_kowalski_pojechal_do_wroclawia.ccl"
    )

    assert result == "[OSOBA] [OSOBA] (numer telefonu [CYFRY]) miesza we [MIEJSCE]"
