"""Test for checking if the example from the readme works."""

import tempfile
from subprocess import run


def test_wiktorner_jsonl_readme_example():
    """Test wiktorner_jsonl readme example."""
    with tempfile.TemporaryDirectory() as tmpdirname:
        run(
            (
                f"python3 cli.py example_inputs/wiktorner_jsonl.jsonl"
                f" {tmpdirname}/output.json --configuration wiktorner_jsonl --language"
                " pl --replace-method tag"
            ),
            shell=True,
        )
        with open(f"{tmpdirname}/output.json", "r", encoding="utf8") as f:
            result = f.read()

        assert (
            result
            == '{"text": "ROZDZIAŁ I. CO NIECO O SAMEJ PIPIDÓWCE Przede wszystkim muszę'
            " uprzedzić z góry czytelników, aby się daremnie nie trudzili nad"
            " szukaniem wyżej wyrażonego miasteczka na mapach [MIEJSCE] i [MIEJSCE],"
            " bo go tam nie znajdą. Nie dlatego, jakoby [MIEJSCE] nie istniała w"
            " rzeczywistości i była tylko wytworem fantazji autora, ale po prostu"
            " dlatego, że mieszkańcy owego sławnego grodu, urosłszy z czasem w"
            " ambicję, uważali tę nazwę jako ubliżającą ich powadze i podali do c."
            " k. namiestnictwa pokorną prośbę o pozwolenie zamienienia jej na inną."
            " Podobne zamiany nazwisk praktykują się dość często w [MIEJSCE],"
            " szczególnie u pojedynczych osób, które nie czując się na siłach"
            " uszlachetnienia sobą, swymi czynami własnego nazwiska, chcą nazwiskiem"
            ' uszlachetnić siebie, i tak np."}'
        )
