"""Tests for order_based suppressor."""

from src.suppressors.order_based import OrderBasedSuppressor


def test_supress_order_based():
    """Test OrderBasedSuppressor."""
    suppressor = OrderBasedSuppressor()

    annotations = [
        (10, 16, "Marian"),
        (10, 18, "Marianna"),
        (30, 35, "Nowak"),
        (50, 59, "Wrocławiu"),
    ]
    result = suppressor.suppress(annotations)
    expected = [
        (10, 16, "Marian"),
        (30, 35, "Nowak"),
        (50, 59, "Wrocławiu"),
    ]
    assert set(result) == set(expected)
